<?php

$no_http_headers = true;
include(dirname(__FILE__) . "/../include/config.php");
include(dirname(__FILE__) . "/../lib/snmp.php");

function reindex($arr) {
	$return_arr = array();
	for ($i=0;($i<sizeof($arr));$i++) {
		$return_arr[$i] = $arr[$i]["value"];
	}
	return $return_arr;
}

$oids = array(
    "fwAccepted" => ".1.3.6.1.4.1.2620.1.1.4",
    "fwRejected" => ".1.3.6.1.4.1.2620.1.1.5",
    "fwDropped"  => ".1.3.6.1.4.1.2620.1.1.6",
    "fwLogged"   => ".1.3.6.1.4.1.2620.1.1.7",
    "fwNumConn" => ".1.3.6.1.4.1.2620.1.1.25.3",
    "fwPeakNumConn" => ".1.3.6.1.4.1.2620.1.1.25.4"
    );

$hostname = $_SERVER["argv"][1];
$snmp_community = $_SERVER["argv"][2];
$snmp_version = $_SERVER["argv"][3];
$cmd = $_SERVER["argv"][4];

if ($cmd == "index") {
	print "0\n";
} elseif ($cmd == "query") {
	$arg = $_SERVER["argv"][5];
	if (strcmp($arg,"index") == 0) {
		reset($oids);
		foreach ($oids as $k => $v) {
			$s = ereg(".*\.([0-9]{1,4}\.[0-9]{1,4})$",$v,$q);
			if ($s != FALSE) {
				print "0!" .$q[1] . "\n";
			}
		}
	} elseif (strcmp($arg,"description") == 0) {
		print "0!System Status\n";
	} else {
		$arr = reindex(cacti_snmp_walk($hostname, $snmp_community, $oids[$arg], $snmp_version, "", "", 161, 1000));
	
			print $arg . "!" . $arr[0] . "\n";
	}

}elseif ($cmd == "get") {
	$arg = $_SERVER["argv"][5];
	$index = $_SERVER["argv"][6];
	print (cacti_snmp_get($hostname, $snmp_community, $oids[$arg] . ".$index", $snmp_version, "", "", 161, 1000));
}


?>
